Bug 113484 - Erlang syntax highlighting support
Summary: Erlang syntax highlighting support
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Applications
Component: syntax (show other bugs)
Version: unspecified
Platform: Debian stable Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-09-28 09:35 UTC by Sander Devrieze
Modified: 2007-10-17 19:39 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
erlang syntax highlighter for kate (9.65 KB, text/xml)
2007-07-15 13:15 UTC, Bill Ross
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sander Devrieze 2005-09-28 09:35:29 UTC
Version:            (using KDE KDE 3.4.0)
Installed from:    Debian stable Packages

It would be nice to see support for Erlang syntax highlighting.

Interesting sources:
* http://www.erlang.org/faq/x652.html (section 7.7)
* http://sourceforge.net/projects/erlide/ (Eclipse plugin)
Comment 1 Dominik Haumann 2005-09-28 12:26:35 UTC
About a year ago there was one on the kwrite mailing list, see [1] 
http://mail.kde.org/pipermail/kwrite-devel/2004-August/006646.html
We rejected the highlighting file as there were some bugs in code folding, but basically it works I guess. You can download the attachement from [1] and save it to ~/.kde/share/apps/katepart/syntax/.
Comment 2 Sander Devrieze 2005-09-28 13:50:49 UTC
> About a year ago there was one on the kwrite mailing list, see [1]
> http://mail.kde.org/pipermail/kwrite-devel/2004-August/006646.html
> We rejected the highlighting file as there were some bugs in code folding,
> but basically it works I guess. You can download the attachement from [1]
> and save it to ~/.kde/share/apps/katepart/syntax/.


Nice, that seems to work very well. I even don't see a bug if I test it with 
ejabberd source files: http://svn.process-one.net/ejabberd/trunk/src/

So, IMO it already can be included in the main Kate codebase :-)
Comment 3 Dominik Haumann 2005-09-28 14:19:57 UTC
There *are* bugs, just read the mails - sigh
http://mail.kde.org/pipermail/kwrite-devel/2004-August/006741.html
Comment 4 Bill Ross 2007-07-15 13:15:55 UTC
Created attachment 21155 [details]
erlang syntax highlighter for kate
Comment 5 Karl Kaputnik 2007-07-31 20:29:30 UTC
In my opinion -> should be added to the list of to highlight strings
Comment 6 Dale Harvey 2007-10-05 19:57:48 UTC
I installed the attached (Bill Ross) highlighter and it works well for me
better at least than the emacs version ( highlights incorrectly on $' )
Comment 7 Dominik Haumann 2007-10-17 19:39:48 UTC
SVN commit 726393 by dhaumann:

add erlang for kde4
BUG: 113484


 A             erlang.xml  


WebSVN link: http://websvn.kde.org/?view=rev&revision=726393